## ros-noetic-robot-nav-rviz-plugins 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(robot_nav_rviz_plugins)
set_directory_properties(PROPERTIES COMPILE_OPTIONS "-std=c++11;-Wall;-Werror")

find_package(catkin REQUIRED COMPONENTS
    color_util
    geometry_msgs
    nav_2d_msgs
    nav_2d_utils
    nav_core2
    nav_grid
    nav_grid_iterators
    nav_grid_pub_sub
    nav_msgs
    pluginlib
    roscpp
    rviz
    std_msgs
)

set(CMAKE_AUTOMOC ON)

find_package(Qt5 REQUIRED COMPONENTS
  Core
  Widgets
)
set(QT_LIBRARIES Qt5::Widgets)

add_definitions(-DQT_NO_KEYWORDS)

catkin_package(
    CATKIN_DEPENDS
        color_util
        geometry_msgs
        nav_2d_msgs
        nav_2d_utils
        nav_core2
        nav_grid
        nav_grid_iterators
        nav_grid_pub_sub
        nav_msgs
        pluginlib
        roscpp
        rviz
        std_msgs
    LIBRARIES robot_nav_rviz_plugins basic_palettes rnrp_utils
    INCLUDE_DIRS include
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(rnrp_utils src/spectrum_palette.cpp)
target_link_libraries(rnrp_utils ${catkin_LIBRARIES})

qt5_wrap_cpp(MOC_FILES
  include/robot_nav_rviz_plugins/nav_grid_display.h
  include/robot_nav_rviz_plugins/path_display.h
  include/robot_nav_rviz_plugins/polygon_display.h
  include/robot_nav_rviz_plugins/polygon3d_display.h
  include/robot_nav_rviz_plugins/polygons_display.h
)

add_library(robot_nav_rviz_plugins
    src/ogre_panel.cpp
    src/partial_ogre_panel.cpp
    src/nav_grid_display.cpp
    src/nav_grid_of_chars_display.cpp
    src/nav_grid_of_doubles_display.cpp
    src/occupancy_grid_display.cpp
    src/path_display.cpp
    src/polygon_display.cpp
    src/polygon3d_display.cpp
    src/polygons_display.cpp
    src/polygon_parts.cpp
    ${MOC_FILES}
)
add_dependencies(robot_nav_rviz_plugins ${catkin_EXPORTED_TARGETS})
target_link_libraries(robot_nav_rviz_plugins rnrp_utils ${QT_LIBRARIES} ${catkin_LIBRARIES})

add_library(basic_palettes src/basic_palettes.cpp)
target_link_libraries(basic_palettes rnrp_utils ${QT_LIBRARIES} ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roslint)
  roslint_cpp()
  roslint_add_test()
endif()

install(TARGETS robot_nav_rviz_plugins rnrp_utils basic_palettes
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(FILES robot_nav_rviz_plugins.xml rviz_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(DIRECTORY icons/classes/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/icons/classes
)

=== debian/changelog ===
ros-noetic-robot-nav-rviz-plugins (0.3.0-2buster) buster; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 11 Dec 2020 20:54:02 -0000

=== debian/control ===
Source: ros-noetic-robot-nav-rviz-plugins
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-noetic-catkin, ros-noetic-color-util, ros-noetic-geometry-msgs, ros-noetic-nav-2d-msgs, ros-noetic-nav-2d-utils, ros-noetic-nav-core2, ros-noetic-nav-grid, ros-noetic-nav-grid-iterators, ros-noetic-nav-grid-pub-sub, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-rviz, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-robot-nav-rviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtbase5-dev, ros-noetic-color-util, ros-noetic-geometry-msgs, ros-noetic-nav-2d-msgs, ros-noetic-nav-2d-utils, ros-noetic-nav-core2, ros-noetic-nav-grid, ros-noetic-nav-grid-iterators, ros-noetic-nav-grid-pub-sub, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-rviz, ros-noetic-std-msgs
Description: RViz visualizations for robot_navigation datatypes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-robot-nav-rviz-plugins//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
